Skip to content

Reorder items

Request

Onward is requesting a reorder of products for the Order in your platform. In addition to replying with shop_order_id & shop_order_number you also need to send the order in the regular channel (POST /orders).

Security
api_key
Path
shopOrderIdstringrequired

Your ID for the original Order

Example:190102
Headers
Content-Typestringrequired

Content-Type must be application/json

Example:application/json
Acceptstringrequired

Accept must be application/json

Example:application/json
Bodyapplication/json
onward_reorderableobjectrequired

Record that triggered this reorder

line_itemsArray of objectsrequired
customerobjectrequired
shipping_addressobject(Address)required
curl -i -X POST \
  https://api.your-store.com/onward/orders/190102/reorder \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'X-API-Key: YOUR_API_KEY_HERE' \
  -d '{
    "onward_reorderable": {
      "id": "356001",
      "type": "Claim"
    },
    "line_items": [
      {
        "shop_line_item_id": "LI-1989",
        "quantity_to_issue": 0
      }
    ],
    "customer": {
      "first_name": "string",
      "last_name": "string",
      "email": "user@example.com",
      "phone_number": "string"
    },
    "shipping_address": {
      "address1": "123 Main St",
      "address2": "Unit 50",
      "province_code": "CA",
      "city": "Los Angeles",
      "postal_code": "90210",
      "country_code": "US",
      "phone_number": "+13105551234"
    }
  }'

Responses

Reorder created successfully

Bodyapplication/json
shop_order_idstringrequired

Your ID for the new Order

Example:"123456"
shop_order_numberstringrequired

The Order Number of this new Order as presented to the customer

Example:"IN-94713"
Response
{ "shop_order_id": "123456", "shop_order_number": "IN-94713" }